Skip to content

Flow per Hour GET

URL: https://api.painelalter.com/api/v2/countPerHour?dateBegin=2020-10-02&dateEnd=2020-10-03&eventType=11

Retrieves specific flow events between two given dates for all stores registered under a user and organizes them in the format 'YYYY-MM-DD' and 'HH'.

Query Parameters

ParameterDescription
dateBeginStart date. Format YYYY-MM-DD (Inclusive)
dateEndEnd date. Format YYYY-MM-DD (Inclusive)
eventTypeID of the event type to be retrieved (1 = entry flow)

Event Type IDs Table

EventTypeDescription
1Entry Flow
2Exit Flow
3Checkout Stop
4External Flow Left
5External Flow Right
6Employee Entry
7Employee Exit
8Vehicle Entry
9Vehicle Exit
10In-store Flow
11Group Entry

Response Example

json
[
	{
		"store_identifier": "1",
		"day": "2022-12-01",
		"hour": 12,
		"count": 5
	},
	{
		"store_identifier": "2",
		"day": "2022-12-01",
		"hour": 12,
		"count": 7
	},
	{
		"store_identifier": "2",
		"day": "2022-12-01",
		"hour": 13,
		"count": 2
	},
	{
		"store_identifier": "3",
		"day": "2022-12-01",
		"hour": 18,
		"count": 5
	}
]